<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Mail\BaseMailable;
class JobEmail extends BaseMailable
{
    use Queueable, SerializesModels;

    public $details;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        parent::__construct();
        $this->details = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {

        return $this->subject(config('app.name') . ': ' . 'Your download from ' . config('app.name') . ' is available')->view('frontend.email.job-email')->with([
            'footerLink' => $this->footerLink
        ]);
    }
}
